\label{sec:tails}

Tails---the amnesic incognito live system---is an operating system that aims to
protect users' privacy and anonymity and help them evade censorship. Tails runs
from a USB stick or DVD, independent of the operating system of the computer it
runs on. Tails does not store any information on the computer's hard disk, so
after the computer is restarted, there is no evidence that Tails was used and
no trace of what it was used for.

Tails comes with a variety of applications pre-configured to help keep users
safe, including Tor Browser, an instant messaging client, and an email client.
All of the applications on Tails are configured to connect to the internet over
the Tor network.

\section{Address known clock-related issues}

When the hardware clock of the computer Tails is running on is not set to the
current, correct UTC time, it is very difficult for applications to connect to
the Tor network using regular bridges or bridges with pluggable transports.

Part of the problem will be mitigated by plans for Tor to allow connections
when the client has a slightly older view of the Tor consensus, but the larger
issue is that Tails can't tell if its host computer's clock time is expressed
in local time or UTC.

The Tails team has a good design ready to fix this issue. Parts of the plan
will have the added benefit of making the Tails synchronization system safer
for all Tails users. The Tails time UX will be improved by displaying time in
the local time zone on the desktop.

%1. Fix Tails connection to Tor when the computer's hardware clock is
%   not set to the current, correct UTC time.
%
%   It's currently hard-to-impossible to connect to the Tor network
%   from Tails with bridges/PTs when the computer's hardware clock is
%   not set to the current, correct UTC time. This is one of the top
%   complaints we get from censored users. tor's improvements wrt.
%   accepting a consensus that's a little in the past or in the future
%   should help, but will probably not fix all these problems, that
%   stem from the fact Tails can't easily tell whether the hardware
%   clock is in UTC or local time.
%
%   We have a good design to fix that. Some of the iterations on our
%   plan will incidentally make our time synchronization system safer
%   for all Tails users and improve UX by displaying time in the local
%   timezone in the desktop.

\section{Cache the Tor consensus}

Many users in censored locations have slow internet connections. To improve
usability, Tails plans to cache Tor consensus information, so that it can be
fetched less frequently, which will improve usability.

%2. Persistent Tor state
%
%   (Apart of the obvious "Tails should use Entry Guards"???), many
%   censored users also have slow Internet connections. Caching network
%   data increases the chances they can connect to the Tor network in
%   a timely manner, therefore improving usability.
%
%   This requires fixing our time synchronization system (1).

\section{Improve network connection UX}

In the context of an operating system such as Tails, whether or not Tor is
blocked is only part of the story: users also encounter captive portals,
networks that block spoofed MAC addresses, and so on. So to make the flow from
starting Tails to being connected to the Tor network seamless, a more global
approach is needed.

The Tails team has a design that has already undergone usability testing
with paper prototypes.

%4. Revamp the network connection process
%
%   In the context of an operating system such as Tails, being able to
%   connect to the Tor network is only part of the story: users also
%   have to deal with captive portals, networks that block spoofed MAC
%   addresses, and so on. So to make the "I start Tails and it connects
%   to Tor" user story better, a more global approach is needed.
%
%   We have a design that has already gone through usability testing
%   with paper prototypes.

\section{Make bridges easier to use}

\subsection{Better bridge configuration}
\label{sec:tails-bridge-config}

Currently, Tails does not include default bridges for applications other than
Tor Browser. This means that users in censored locations need to find and
configure their own bridges before they can begin to use Tails. The Tails team
plans to begin including default bridges. In addition, a mechanism for
persistently configuring non-default bridges and pluggable transports is
planned.

%3. Include configuration with default bridges/PTs
%
%   Why we want to do it: it will make Tails work out-of-the-box for
%   some censored users, while currently they need to find out how to
%   get their own bridges before they can even try using Tails, which
%   is discouraging.
%
%   Why it's not trivial: as long as using custom bridges requires
%   typing them every time they start Tails, users will use the default
%   ones. So in order not to overuse these default bridges/PTs, this
%   feature requires allowing Tails users to configure their own
%   bridges/PTs in a persistent manner.

\subsection{Moat}

The Tails team plans to integrate automatic bridge and pluggable transport
configuration using Tor Browser's moat feature. Implementing this depends on
devising a plan to allow a GUI application to access the internet without using
the Tor Network.

%6. Automatic bridges/PTs retrieval (Moat), if/once Tor Browser stable
%   supports it.
%
%   For the same reasons as Tor Browser. Same technical difficulty
%   as Meek.

\section{Support more pluggable transports}

\subsection{meek}

Because the meek pluggable transport (see Section~\ref{sec:domain-fronting})
has proven resilient to blocking in some of the more challenging censored
locations, the Tails team wants to include support for it. However, in order to
avoid over-taxing meek bridges, the work described in
Section~\ref{sec:tails-bridge-config} should be completed first, so that other
types of bridges are available for locations where meek is unnecessary.

Like the plan for supporting moat, supporting meek will require a GUI
application that connects to the internet without using Tor.

%5. Support Meek bridges
%
%   Why we want to do it: it will make Tails work in some places that
%   block other kinds of bridges.
%
%   This requires first including configuration with default
%   bridges/PTs and allowing Tails users to configure their own
%   bridges/PTs in a persistent manner. Otherwise, if the only default
%   bridges/PTs available by default are the Meek ones, users will
%   (over)use them even in situations where other kinds of bridges
%   would work just fine for them.
%
%   Expected technical difficulty: allowing a GUI app to access the
%   Internet without going through Tor. Our current best solution won't
%   work with Wayland anymore so we need to find and implement
%   another one.

\subsection{Snowflake}

After Snowflake is offered in the stable version of Tor Browser, the Tails team
plans to offer Snowflake support as well.

%7. Snowflake, if/once Tor Browser stable supports it.
%
%   For the same reasons as Tor Browser. I don't know about the
%   technical difficulties we should expect.
%
